name: require-non-root-groups
policies:
  -  ../../../policies/require-gid-greater-1000.yaml
resources:
  - bad-resource.yaml
  - good-resource.yaml
results:
  - policy: require-gid-greater-1000
    rule: check-runasgroup
    kind: Pod
    resource: require-non-root-groups-good-1
    status: pass
  - policy: require-gid-greater-1000
    rule: check-runasgroup
    kind: Pod
    resource: require-non-root-groups-good-2
    status: pass
  - policy: require-gid-greater-1000
    rule: check-supplementalGroups
    kind: Pod
    resource: require-non-root-groups-good-1
    status: pass
  - policy: require-gid-greater-1000
    rule: check-supplementalGroups
    kind: Pod
    resource: require-non-root-groups-good-2
    status: pass
  - policy: require-gid-greater-1000
    rule: check-fsGroup
    kind: Pod
    resource: require-non-root-groups-good-1
    status: pass
  - policy: require-gid-greater-1000
    rule: check-fsGroup
    kind: Pod
    resource: require-non-root-groups-good-2
    status: pass
  - policy: require-gid-greater-1000
    rule: check-runasgroup
    kind: Pod
    resource: require-non-root-groups-bad-1
    status: fail
  - policy: require-gid-greater-1000
    rule: check-supplementalGroups
    kind: Pod
    resource: require-non-root-groups-bad-2
    status: fail
  - policy: require-gid-greater-1000
    rule: check-fsGroup
    kind: Pod
    resource: require-non-root-groups-bad-3
    status: fail
  - policy: require-gid-greater-1000
    rule: check-runasgroup
    kind: Pod
    resource: require-non-root-groups-bad-4
    status: fail
  - policy: require-gid-greater-1000
    rule: check-runasgroup
    kind: Pod
    resource: require-non-root-groups-bad-5
    status: fail
